## gimpimagecolorprofile

gimpimagecolorprofile — Operations on an image's color profile.

## Functions

GimpColorProfile * | gimp_image_get_color_profile ()
gboolean | gimp_image_set_color_profile ()
gboolean | gimp_image_set_color_profile_from_file ()
GimpColorProfile * | gimp_image_get_effective_color_profile ()
gboolean | gimp_image_convert_color_profile ()
gboolean | gimp_image_convert_color_profile_from_file ()

## Description

Operations on an image's color profile.

## Functions

### gimp_image_get_color_profile ()

    GimpColorProfile *
    gimp_image_get_color_profile (gint32 image_ID);

Returns the image's color profile

This procedure returns the image's color profile, or NULL if the image has no color profile assigned.

#### Parameters

image_ID | The image. |

#### Returns

The image's color profile. The returned value must be freed with `g_object_unref()`.

Since: 2.10

### gimp_image_set_color_profile ()

    gboolean
    gimp_image_set_color_profile (gint32 image_ID,
                                  GimpColorProfile *profile);

Sets the image's color profile

This procedure sets the image's color profile.

#### Parameters

image_ID | The image. |
profile | A GimpColorProfile, or `NULL`. |

#### Returns

`TRUE` on success.

Since: 2.10

### gimp_image_set_color_profile_from_file ()

    gboolean
    gimp_image_set_color_profile_from_file
                                   (gint32 image_ID,
                                    const gchar *uri);

Sets the image's color profile from an ICC file

This procedure sets the image's color profile from a file containing an ICC profile, or unsets it if NULL is passed as 'uri'. This procedure does no color conversion.

#### Parameters

image_ID | The image. |
uri | The URI of the file containing the new color profile. |

#### Returns

TRUE on success.

Since: 2.10

### gimp_image_get_effective_color_profile ()

    GimpColorProfile *
    gimp_image_get_effective_color_profile
                                   (gint32 image_ID);

Returns the color profile that is used for the image.

This procedure returns the color profile that is actually used for this image, which is the profile returned by `gimp_image_get_color_profile()` if the image has a profile assigned, or the default RGB profile from preferences if no profile is assigned to the image. If there is no default RGB profile configured in preferences either, a generated default RGB profile is returned.

#### Parameters

image_ID | The image. |

#### Returns

The color profile. The returned value must be freed with `g_object_unref()`.

Since: 2.10

### gimp_image_convert_color_profile ()

    gboolean
    gimp_image_convert_color_profile (gint32 image_ID,
                                      GimpColorProfile *profile,
                                      GimpColorRenderingIntent intent,
                                      gboolean bpc);

Convert the image's layers to a color profile

This procedure converts from the image's color profile (or the default RGB profile if none is set) to the given color profile. Only RGB color profiles are accepted.

#### Parameters

image_ID | The image. |
profile | The color profile to convert to. |
intent | Rendering intent. |
bpc | Black point compensation. |

#### Returns

TRUE on success.

Since: 2.10

### gimp_image_convert_color_profile_from_file ()

    gboolean
    gimp_image_convert_color_profile_from_file
                                   (gint32 image_ID,
                                    const gchar *uri,
                                    GimpColorRenderingIntent intent,
                                    gboolean bpc);

Convert the image's layers to a color profile

This procedure converts from the image's color profile (or the default RGB or grayscale profile if none is set) to an ICC profile specified by 'uri'. Only RGB and grayscale color profiles are accepted, according to the image's type.

#### Parameters

image_ID | The image. |
uri | The URI of the file containing the new color profile. |
intent | Rendering intent. |
bpc | Black point compensation. |

#### Returns

TRUE on success.

Since: 2.10